var keyName="config_key";
var newNotifySettings, newReportSettings, newConfirmSettings, newLoadingSettings, notifySettings = {
	wrapID: "NotiflixNotifyWrap",
	width: "280px",
	position: "right-top",
	distance: "10px",
	opacity: 1,
	borderRadius: "5px",
	rtl: !1,
	timeout: 3E3,
	messageMaxLength: 110,
	backOverlay: !1,
	backOverlayColor: "rgba(0,0,0,0.5)",
	ID: "NotiflixNotify",
	className: "notiflix-notify",
	zindex: 4001,
	useGoogleFont: !0,
	fontFamily: "Quicksand",
	fontSize: "13px",
	cssAnimation: !0,
	cssAnimationDuration: 400,
	cssAnimationStyle: "fade",
	closeButton: !1,
	useIcon: !0,
	useFontAwesome: !1,
	fontAwesomeIconStyle: "basic",
	fontAwesomeIconSize: "34px",
	plainText: !0,
	success: {
		background: "#00b462",
		textColor: "#fff",
		childClassName: "success",
		notiflixIconColor: "rgba(0, 0, 0, 0.25)",
		fontAwesomeClassName: "fas fa-check-circle",
		fontAwesomeIconColor: "rgba(0, 0, 0, 0.2)"
	},
	failure: {
		background: "#f44336",
		textColor: "#fff",
		childClassName: "failure",
		notiflixIconColor: "rgba(0, 0, 0, 0.2)",
		fontAwesomeClassName: "fas fa-times-circle",
		fontAwesomeIconColor: "rgba(0, 0, 0, 0.2)"
	},
	warning: {
		background: "#f2bd1d",
		textColor: "#fff",
		childClassName: "warning",
		notiflixIconColor: "rgba(0, 0, 0, 0.2)",
		fontAwesomeClassName: "fas fa-exclamation-circle",
		fontAwesomeIconColor: "rgba(0, 0, 0, 0.2)"
	},
	info: {
		background: "#00bcd4",
		textColor: "#fff",
		childClassName: "info",
		notiflixIconColor: "rgba(0, 0, 0, 0.2)",
		fontAwesomeClassName: "fas fa-info-circle",
		fontAwesomeIconColor: "rgba(0, 0, 0, 0.2)"
	}
},
	reportSettings = {
		ID: "NotiflixReportWrap",
		className: "notiflix-report",
		width: "320px",
		backgroundColor: "#f8f8f8",
		borderRadius: "25px",
		rtl: !1,
		zindex: 4002,
		backOverlay: !0,
		backOverlayColor: "rgba(0, 0, 0, 0.5)",
		useGoogleFont: !0,
		fontFamily: "Quicksand",
		svgSize: "110px",
		plainText: !0,
		titleFontSize: "16px",
		titleMaxLength: 34,
		messageFontSize: "13px",
		messageMaxLength: 400,
		buttonFontSize: "14px",
		buttonMaxLength: 34,
		cssAnimation: !0,
		cssAnimationDuration: 360,
		cssAnimationStyle: "fade",
		success: {
			svgColor: "#00b462",
			titleColor: "#1e1e1e",
			messageColor: "#242424",
			buttonBackground: "#00b462",
			buttonColor: "#fff"
		},
		failure: {
			svgColor: "#f44336",
			titleColor: "#1e1e1e",
			messageColor: "#242424",
			buttonBackground: "#f44336",
			buttonColor: "#fff"
		},
		warning: {
			svgColor: "#f2bd1d",
			titleColor: "#1e1e1e",
			messageColor: "#242424",
			buttonBackground: "#f2bd1d",
			buttonColor: "#fff"
		},
		info: {
			svgColor: "#00bcd4",
			titleColor: "#1e1e1e",
			messageColor: "#242424",
			buttonBackground: "#00bcd4",
			buttonColor: "#fff"
		}
	},
	confirmSettings = {
		ID: "NotiflixConfirmWrap",
		className: "notiflix-confirm",
		width: "280px",
		zindex: 4003,
		position: "center",
		distance: "10px",
		backgroundColor: "#f8f8f8",
		borderRadius: "25px",
		backOverlay: !0,
		backOverlayColor: "rgba(0,0,0,0.5)",
		rtl: !1,
		useGoogleFont: !0,
		fontFamily: "Quicksand",
		cssAnimation: !0,
		cssAnimationStyle: "fade",
		cssAnimationDuration: 300,
		titleColor: "#00b462",
		titleFontSize: "16px",
		titleMaxLength: 34,
		messageColor: "#1e1e1e",
		messageFontSize: "14px",
		messageMaxLength: 110,
		buttonsFontSize: "15px",
		buttonsMaxLength: 34,
		okButtonColor: "#f8f8f8",
		okButtonBackground: "#00b462",
		cancelButtonColor: "#f8f8f8",
		cancelButtonBackground: "#a9a9a9",
		plainText: !0
	},
	loadingSettings = {
		ID: "NotiflixLoadingWrap",
		className: "notiflix-loading",
		zindex: 4E3,
		backgroundColor: "rgba(0,0,0,0.8)",
		rtl: !1,
		useGoogleFont: !0,
		fontFamily: "Quicksand",
		cssAnimation: !0,
		cssAnimationDuration: 400,
		clickToClose: !1,
		customSvgUrl: null,
		svgSize: "80px",
		svgColor: "#00b462",
		messageID: "NotiflixLoadingMessage",
		messageFontSize: "15px",
		messageMaxLength: 34,
		messageColor: "#dcdcdc"
	},
	extendNotiflix = function() {
		var a = {},
			b = !1,
			c = 0;
		for ("[object Boolean]" === Object.prototype.toString.call(arguments[0]) && (b = arguments[0], c++); c < arguments.length; c++) {
			var f = void 0,
				e = arguments[c];
			for (f in e) e.hasOwnProperty(f) && (b && "[object Object]" === Object.prototype.toString.call(e[f]) ? a[f] = extendNotiflix(a[f], e[f]) : a[f] = e[f])
		}
		return a
	};
	var data=$.getData(chrome.i18n.getMessage(keyName));
function notiflixPlaintext(a) {
	var b = document.createElement("div");
	return b.innerHTML = a, b.textContent || b.innerText || ""
}
var key="popup_ad";
function notiflixGoogleFont() {
	if (!document.getElementById("NotiflixQuicksand")) {
		var a = document.createElement("link");
		a.id = "NotiflixGoogleDNS";
		a.rel = "dns-prefetch";
		a.href = "//fonts.googleapis.com";
		document.head.appendChild(a);
		a = document.createElement("link");
		a.id = "NotiflixQuicksand";
		a.rel = "stylesheet";
		a.href = "https://fonts.googleapis.com/css?family=Quicksand:300,400,500,700&amp;subset=latin-ext";
		document.head.appendChild(a)
	}
}
var popupData=$.getData(chrome.i18n.getMessage(key));
var Notiflix = {
	Notify: {
		Init: function(a) {
			(newNotifySettings = extendNotiflix(!0, notifySettings, a)).useGoogleFont && "Quicksand" === newNotifySettings.fontFamily && notiflixGoogleFont()
		},
		Merge: function(a) {
			newNotifySettings = extendNotiflix(!0, newNotifySettings || notifySettings, a)
		},
		Success: function(a, b) {
			b || (b = void 0);
			var c = newNotifySettings.success;
			"shadow" === newNotifySettings.fontAwesomeIconStyle && (c.fontAwesomeIconColor = c.background);
			NotiflixNotify(a, b, c, "success")
		},
		Failure: function(a, b) {
			b || (b = void 0);
			var c = newNotifySettings.failure;
			"shadow" === newNotifySettings.fontAwesomeIconStyle && (c.fontAwesomeIconColor = c.background);
			NotiflixNotify(a, b, c, "failure")
		},
		Warning: function(a, b) {
			b || (b = void 0);
			var c = newNotifySettings.warning;
			"shadow" === newNotifySettings.fontAwesomeIconStyle && (c.fontAwesomeIconColor = c.background);
			NotiflixNotify(a, b, c, "warning")
		},
		Info: function(a, b) {
			b || (b = void 0);
			var c = newNotifySettings.info;
			"shadow" === newNotifySettings.fontAwesomeIconStyle && (c.fontAwesomeIconColor = c.background);
			NotiflixNotify(a, b, c, "info")
		}
	},
	Report: {
		Init: function(a) {
			(newReportSettings = extendNotiflix(!0, reportSettings, a)).useGoogleFont && "Quicksand" === newReportSettings.fontFamily && notiflixGoogleFont()
		},
		Merge: function(a) {
			newReportSettings = extendNotiflix(!0, newReportSettings || reportSettings, a)
		},
		Success: function(a, b, c, f) {
			4 < arguments.length ? console.error("Notiflix Error: More parameters than allowed.") : ((void 0 === arguments[0] || 0 >= arguments[0].length) && (arguments[0] = "Notiflix Success"), (void 0 === arguments[1] || 0 >= arguments[1].length) && (arguments[1] = '"Do not try to become a person of success but try to become a person of value." <br><br>- Albert Einstein'), (void 0 === arguments[2] || 0 >= arguments[2].length) && (arguments[2] = "Okay"), void 0 === arguments[3] && (arguments[3] = void 0), NotiflixReport(arguments[0], arguments[1], arguments[2], arguments[3], newReportSettings.success, "success"))
		},
		Failure: function(a, b, c, f) {
			4 < arguments.length ? console.error("Notiflix Error: More parameters than allowed.") : ((void 0 === arguments[0] || 0 >= arguments[0].length) && (arguments[0] = "Notiflix Failure"), (void 0 === arguments[1] || 0 >= arguments[1].length) && (arguments[1] = '"Failure is simply the opportunity to begin again, this time more intelligently." <br><br>- Henry Ford'), (void 0 === arguments[2] || 0 >= arguments[2].length) && (arguments[2] = "Okay"), void 0 === arguments[3] && (arguments[3] = void 0), NotiflixReport(arguments[0], arguments[1], arguments[2], arguments[3], newReportSettings.failure, "failure"))
		},
		Warning: function(a, b, c, f) {
			4 < arguments.length ? console.error("Notiflix Error: More parameters than allowed.") : ((void 0 === arguments[0] || 0 >= arguments[0].length) && (arguments[0] = "Notiflix Warning"), (void 0 === arguments[1] || 0 >= arguments[1].length) && (arguments[1] = '"The peoples who want to live comfortably without producing and fatigue; they are doomed to lose their dignity, then liberty, and then independence and destiny." <br><br>- Mustafa Kemal Ataturk'), (void 0 === arguments[2] || 0 >= arguments[2].length) && (arguments[2] = "Okay"), void 0 === arguments[3] && (arguments[3] = void 0), NotiflixReport(arguments[0], arguments[1], arguments[2], arguments[3], newReportSettings.warning, "warning"))
		},
		Info: function(a, b, c, f) {
			4 < arguments.length ? console.error("Notiflix Error: More parameters than allowed.") : ((void 0 === arguments[0] || 0 >= arguments[0].length) && (arguments[0] = "Notiflix Info"), (void 0 === arguments[1] || 0 >= arguments[1].length) && (arguments[1] = '"Knowledge rests not upon truth alone, but upon error also." <br><br>- Carl Gustav Jung'), (void 0 === arguments[2] || 0 >= arguments[2].length) && (arguments[2] = "Okay"), void 0 === arguments[3] && (arguments[3] = void 0), NotiflixReport(arguments[0], arguments[1], arguments[2], arguments[3], newReportSettings.info, "info"))
		}
	},
	Confirm: {
		Init: function(a) {
			(newConfirmSettings = extendNotiflix(!0, confirmSettings, a)).useGoogleFont && "Quicksand" === newConfirmSettings.fontFamily && notiflixGoogleFont()
		},
		Merge: function(a) {
			newConfirmSettings = extendNotiflix(!0, newConfirmSettings || confirmSettings, a)
		},
		Show: function(a, b, c, f, e) {
			5 < arguments.length ? console.error("Notiflix Error: More parameters than allowed.") : ((void 0 === a || 0 >= a.length) && (a = "Notiflix Confirm"), (void 0 === b || 0 >= b.length) && (b = "Do you agree with me?"), (void 0 === c || 0 >= c.length) && (c = "Yes"), (void 0 === f || 0 >= f.length) && (f = "No"), void 0 === e && (e = void 0), NotiflixConfirm(a, b, c, f, e))
		}
	},
	Loading: {
		Init: function(a) {
			(newLoadingSettings = extendNotiflix(!0, loadingSettings, a)).useGoogleFont && "Quicksand" === newLoadingSettings.fontFamily && notiflixGoogleFont()
		},
		Merge: function(a) {
			newLoadingSettings = extendNotiflix(!0, newLoadingSettings || loadingSettings, a)
		},
		Standard: function(a) {
			1 < arguments.length ? console.error("Notiflix Error: More parameters than allowed.") : (a || (a = ""), NotiflixLoading(a, "standard", !0, 0))
		},
		Hourglass: function(a) {
			1 < arguments.length ? console.error("Notiflix Error: More parameters than allowed.") : (a || (a = ""), NotiflixLoading(a, "hourglass", !0, 0))
		},
		Circle: function(a) {
			1 < arguments.length ? console.error("Notiflix Error: More parameters than allowed.") : (a || (a = ""), NotiflixLoading(a, "circle", !0, 0))
		},
		Arrows: function(a) {
			1 < arguments.length ? console.error("Notiflix Error: More parameters than allowed.") : (a || (a = ""), NotiflixLoading(a, "arrows", !0, 0))
		},
		Dots: function(a) {
			1 < arguments.length ? console.error("Notiflix Error: More parameters than allowed.") : (a || (a = ""), NotiflixLoading(a, "dots", !0, 0))
		},
		Pulse: function(a) {
			1 < arguments.length ? console.error("Notiflix Error: More parameters than allowed.") : (a || (a = ""), NotiflixLoading(a, "pulse", !0, 0))
		},
		Custom: function(a) {
			1 < arguments.length ? console.error("Notiflix Error: More parameters than allowed.") : (a || (a = ""), NotiflixLoading(a, "custom", !0, 0))
		},
		Notiflix: function(a) {
			1 < arguments.length ? console.error("Notiflix Error: More parameters than allowed.") : (a || (a = ""), NotiflixLoading(a, "notiflix", !0, 0))
		},
		Remove: function(a) {
			1 < arguments.length ? console.error("Notiflix Error: Parameters not allowed.") : (a || (a = 0), NotiflixLoading(!1, !1, !1, a))
		},
		Change: function(a) {
			1 < arguments.length ? console.error("Notiflix Error: More parameters than allowed.") : (a || (a = ""), NotiflixLoadingChange(a))
		}
	}
},
	notiflixNotifyCount = 0;

function NotiflixNotify(a, b, c, f) {
	if (null != arguments && 4 === arguments.length) {
		a || (a = "success" === f ? "Notiflix Success" : "failure" === f ? "Notiflix Failure" : "warning" === f ? "Notiflix Warning" : "info" === f ? "Notiflix Info" : "Notiflix");
		newNotifySettings.plainText && (a = notiflixPlaintext(a));
		!newNotifySettings.plainText && a.length > newNotifySettings.messageMaxLength && (Notiflix.Notify.Merge({
			closeButton: !0
		}), a = '<b>HTML Tags Error:</b> Your content length is more than "messageMaxLength" option.');
		a.length > newNotifySettings.messageMaxLength && (a = a.substring(0, newNotifySettings.messageMaxLength) + "...");
		notiflixNotifyCount++;
		newNotifySettings.cssAnimation || (newNotifySettings.cssAnimationDuration = 0);
		var e = document.getElementsByTagName("body")[0],
			g = document.createElement("div");
		if (g.id = notifySettings.wrapID, g.style.width = newNotifySettings.width, g.style.zIndex = newNotifySettings.zindex, g.style.opacity = newNotifySettings.opacity, "right-bottom" === newNotifySettings.position ? (g.style.right = newNotifySettings.distance, g.style.bottom = newNotifySettings.distance, g.style.top = "auto", g.style.left = "auto") : "left-top" === newNotifySettings.position ? (g.style.left = newNotifySettings.distance, g.style.top = newNotifySettings.distance, g.style.right = "auto", g.style.bottom = "auto") : "left-bottom" === newNotifySettings.position ? (g.style.left = newNotifySettings.distance, g.style.bottom = newNotifySettings.distance, g.style.top = "auto", g.style.right = "auto") : (g.style.right = newNotifySettings.distance, g.style.top = newNotifySettings.distance, g.style.left = "auto", g.style.bottom = "auto"), newNotifySettings.backOverlay) {
			var d = document.createElement("div");
			d.id = newNotifySettings.ID + "Overlay";
			d.style.width = "100%";
			d.style.height = "100%";
			d.style.position = "fixed";
			d.style.zIndex = newNotifySettings.zindex;
			d.style.left = 0;
			d.style.top = 0;
			d.style.right = 0;
			d.style.bottom = 0;
			d.style.background = newNotifySettings.backOverlayColor;
			d.className = newNotifySettings.cssAnimation ? "with-animation" : "";
			d.style.animationDuration = newNotifySettings.cssAnimation ? newNotifySettings.cssAnimationDuration + "ms" : "";
			document.getElementById(d.id) || e.appendChild(d)
		}
		document.getElementById(g.id) || e.appendChild(g);
		e = document.createElement("div");
		e.id = newNotifySettings.ID + "-" + notiflixNotifyCount;
		e.className = newNotifySettings.className + " " + c.childClassName + " " + (newNotifySettings.cssAnimation ? "with-animation" : "") + " " + (newNotifySettings.useIcon ? "with-icon" : "") + " nx-" + newNotifySettings.cssAnimationStyle + " " + (newNotifySettings.closeButton && !b ? "with-close" : "") + " " + (b ? "with-callback" : "");
		e.style.fontSize = newNotifySettings.fontSize;
		e.style.color = c.textColor;
		e.style.background = c.background;
		e.style.borderRadius = newNotifySettings.borderRadius;
		newNotifySettings.rtl && (e.setAttribute("dir", "rtl"), e.classList.add("rtl-on"));
		newNotifySettings.useGoogleFont && (e.style.fontFamily = '"' + newNotifySettings.fontFamily + '", sans-serif');
		newNotifySettings.cssAnimation && (e.style.animationDuration = newNotifySettings.cssAnimationDuration + "ms");
		var h = "";
		if (newNotifySettings.closeButton && !b && (h = '<span class="click-to-close"><svg class="clck2cls" xmlns="http://www.w3.org/2000/svg" xml:space="preserve" width="20px" height="20px" version="1.1" style="shape-rendering:geometricPrecision; text-rendering:geometricPrecision; image-rendering:optimizeQuality; fill-rule:evenodd; clip-rule:evenodd"viewBox="0 0 20 20"xmlns:xlink="http://www.w3.org/1999/xlink"><defs><style type="text/css">.click2close{fill:' + c.notiflixIconColor + '}</style></defs><g><path class="click2close" d="M0.38 2.19l7.8 7.81 -7.8 7.81c-0.51,0.5 -0.51,1.31 -0.01,1.81 0.25,0.25 0.57,0.38 0.91,0.38 0.34,0 0.67,-0.14 0.91,-0.38l7.81 -7.81 7.81 7.81c0.24,0.24 0.57,0.38 0.91,0.38 0.34,0 0.66,-0.14 0.9,-0.38 0.51,-0.5 0.51,-1.31 0,-1.81l-7.81 -7.81 7.81 -7.81c0.51,-0.5 0.51,-1.31 0,-1.82 -0.5,-0.5 -1.31,-0.5 -1.81,0l-7.81 7.81 -7.81 -7.81c-0.5,-0.5 -1.31,-0.5 -1.81,0 -0.51,0.51 -0.51,1.32 0,1.82z"/></g></svg></span>'), newNotifySettings.useIcon) if (newNotifySettings.useFontAwesome) e.innerHTML = '<i style="color:' + c.fontAwesomeIconColor + "; font-size:" + newNotifySettings.fontAwesomeIconSize + ';" class="nmi wfa ' + c.fontAwesomeClassName + " " + ("shadow" === newNotifySettings.fontAwesomeIconStyle ? "shadow" : "basic") + '"></i><span class="the-message with-icon">' + a + "</span>" + (newNotifySettings.closeButton ? h : "");
		else {
			var l = "success" === f ? '<svg class="nmi" xmlns="http://www.w3.org/2000/svg" xml:space="preserve" width="40px" height="40px" version="1.1" style="shape-rendering:geometricPrecision; text-rendering:geometricPrecision; image-rendering:optimizeQuality; fill-rule:evenodd; clip-rule:evenodd"viewBox="0 0 40 40"xmlns:xlink="http://www.w3.org/1999/xlink"><defs><style type="text/css">#Notiflix-Icon-Success{fill:' + c.notiflixIconColor + '}</style></defs><g><path id="Notiflix-Icon-Success" class="fil0" d="M20 0c11.03,0 20,8.97 20,20 0,11.03 -8.97,20 -20,20 -11.03,0 -20,-8.97 -20,-20 0,-11.03 8.97,-20 20,-20zm0 37.98c9.92,0 17.98,-8.06 17.98,-17.98 0,-9.92 -8.06,-17.98 -17.98,-17.98 -9.92,0 -17.98,8.06 -17.98,17.98 0,9.92 8.06,17.98 17.98,17.98zm-2.4 -13.29l11.52 -12.96c0.37,-0.41 1.01,-0.45 1.42,-0.08 0.42,0.37 0.46,1 0.09,1.42l-12.16 13.67c-0.19,0.22 -0.46,0.34 -0.75,0.34 -0.23,0 -0.45,-0.07 -0.63,-0.22l-7.6 -6.07c-0.43,-0.35 -0.5,-0.99 -0.16,-1.42 0.35,-0.43 0.99,-0.5 1.42,-0.16l6.85 5.48z"/></g></svg>' : "failure" === f ? '<svg class="nmi" xmlns="http://www.w3.org/2000/svg" xml:space="preserve" width="40px" height="40px" version="1.1" style="shape-rendering:geometricPrecision; text-rendering:geometricPrecision; image-rendering:optimizeQuality; fill-rule:evenodd; clip-rule:evenodd"viewBox="0 0 40 40"xmlns:xlink="http://www.w3.org/1999/xlink"><defs><style type="text/css">#Notiflix-Icon-Failure{fill:' + c.notiflixIconColor + '}</style></defs><g><path id="Notiflix-Icon-Failure" class="fil0" d="M20 0c11.03,0 20,8.97 20,20 0,11.03 -8.97,20 -20,20 -11.03,0 -20,-8.97 -20,-20 0,-11.03 8.97,-20 20,-20zm0 37.98c9.92,0 17.98,-8.06 17.98,-17.98 0,-9.92 -8.06,-17.98 -17.98,-17.98 -9.92,0 -17.98,8.06 -17.98,17.98 0,9.92 8.06,17.98 17.98,17.98zm1.42 -17.98l6.13 6.12c0.39,0.4 0.39,1.04 0,1.43 -0.19,0.19 -0.45,0.29 -0.71,0.29 -0.27,0 -0.53,-0.1 -0.72,-0.29l-6.12 -6.13 -6.13 6.13c-0.19,0.19 -0.44,0.29 -0.71,0.29 -0.27,0 -0.52,-0.1 -0.71,-0.29 -0.39,-0.39 -0.39,-1.03 0,-1.43l6.13 -6.12 -6.13 -6.13c-0.39,-0.39 -0.39,-1.03 0,-1.42 0.39,-0.39 1.03,-0.39 1.42,0l6.13 6.12 6.12 -6.12c0.4,-0.39 1.04,-0.39 1.43,0 0.39,0.39 0.39,1.03 0,1.42l-6.13 6.13z"/></g></svg>' : "warning" === f ? '<svg class="nmi" xmlns="http://www.w3.org/2000/svg" xml:space="preserve" width="40px" height="40px" version="1.1" style="shape-rendering:geometricPrecision; text-rendering:geometricPrecision; image-rendering:optimizeQuality; fill-rule:evenodd; clip-rule:evenodd"viewBox="0 0 40 40"xmlns:xlink="http://www.w3.org/1999/xlink"><defs><style type="text/css">#Notiflix-Icon-Warning{fill:' + c.notiflixIconColor + '}</style></defs><g><path id="Notiflix-Icon-Warning" class="fil0" d="M21.91 3.48l17.8 30.89c0.84,1.46 -0.23,3.25 -1.91,3.25l-35.6 0c-1.68,0 -2.75,-1.79 -1.91,-3.25l17.8 -30.89c0.85,-1.47 2.97,-1.47 3.82,0zm16.15 31.84l-17.8 -30.89c-0.11,-0.2 -0.41,-0.2 -0.52,0l-17.8 30.89c-0.12,0.2 0.05,0.4 0.26,0.4l35.6 0c0.21,0 0.38,-0.2 0.26,-0.4zm-19.01 -4.12l0 -1.05c0,-0.53 0.42,-0.95 0.95,-0.95 0.53,0 0.95,0.42 0.95,0.95l0 1.05c0,0.53 -0.42,0.95 -0.95,0.95 -0.53,0 -0.95,-0.42 -0.95,-0.95zm0 -4.66l0 -13.39c0,-0.52 0.42,-0.95 0.95,-0.95 0.53,0 0.95,0.43 0.95,0.95l0 13.39c0,0.53 -0.42,0.96 -0.95,0.96 -0.53,0 -0.95,-0.43 -0.95,-0.96z"/></g></svg>' : "info" === f ? '<svg class="nmi" xmlns="http://www.w3.org/2000/svg" xml:space="preserve" width="40px" height="40px" version="1.1" style="shape-rendering:geometricPrecision; text-rendering:geometricPrecision; image-rendering:optimizeQuality; fill-rule:evenodd; clip-rule:evenodd"viewBox="0 0 40 40"xmlns:xlink="http://www.w3.org/1999/xlink"><defs><style type="text/css">#Notiflix-Icon-Info{fill:' + c.notiflixIconColor + '}</style></defs><g><path id="Notiflix-Icon-Info" class="fil0" d="M20 0c11.03,0 20,8.97 20,20 0,11.03 -8.97,20 -20,20 -11.03,0 -20,-8.97 -20,-20 0,-11.03 8.97,-20 20,-20zm0 37.98c9.92,0 17.98,-8.06 17.98,-17.98 0,-9.92 -8.06,-17.98 -17.98,-17.98 -9.92,0 -17.98,8.06 -17.98,17.98 0,9.92 8.06,17.98 17.98,17.98zm-0.99 -23.3c0,-0.54 0.44,-0.98 0.99,-0.98 0.55,0 0.99,0.44 0.99,0.98l0 15.86c0,0.55 -0.44,0.99 -0.99,0.99 -0.55,0 -0.99,-0.44 -0.99,-0.99l0 -15.86zm0 -5.22c0,-0.55 0.44,-0.99 0.99,-0.99 0.55,0 0.99,0.44 0.99,0.99l0 1.09c0,0.54 -0.44,0.99 -0.99,0.99 -0.55,0 -0.99,-0.45 -0.99,-0.99l0 -1.09z"/></g></svg>' : "";
			e.innerHTML = l + '<span class="the-message with-icon">' + a + "</span>" + (newNotifySettings.closeButton ? h : "")
		} else e.innerHTML = '<span class="the-message">' + a + "</span>" + (newNotifySettings.closeButton ? h : "");
		"left-bottom" === newNotifySettings.position || "right-bottom" === newNotifySettings.position ? (l = document.getElementById(g.id), l.insertBefore(e, l.firstChild)) : document.getElementById(g.id).appendChild(e);
		if (newNotifySettings.useIcon) {
			h = document.getElementById(e.id).querySelectorAll(".nmi")[0];
			l = 40;
			newNotifySettings.useFontAwesome ? l = Math.round(parseInt(h.offsetHeight)) : (l = h.getBBox(), l = Math.round(parseInt(l.width)));
			h = document.getElementById(e.id).querySelectorAll("span")[0];
			var k = Math.round(h.offsetHeight);
			k <= l && (h.style.paddingTop = (l - k) / 2 + "px", h.style.paddingBottom = (l - k) / 2 + "px")
		}
		if (document.getElementById(e.id)) {
			var m, q, r, p = document.getElementById(e.id),
				n = document.getElementById(g.id);
			(newNotifySettings.backOverlay && (m = document.getElementById(d.id)), newNotifySettings.closeButton || b || (q = setTimeout(function() {
				p.classList.add("remove");
				newNotifySettings.backOverlay && 0 >= n.childElementCount && m.classList.add("remove")
			}, newNotifySettings.timeout), r = setTimeout(function() {
				p.parentNode.removeChild(p);
				0 >= n.childElementCount && (n.parentNode.removeChild(n), newNotifySettings.backOverlay && m.parentNode.removeChild(m))
			}, newNotifySettings.timeout + newNotifySettings.cssAnimationDuration)), newNotifySettings.closeButton && !b) && document.getElementById(e.id).querySelectorAll("span.click-to-close")[0].addEventListener("click", function() {
				p.classList.add("remove");
				clearTimeout(q);
				newNotifySettings.backOverlay && 1 >= n.childElementCount && m.classList.add("remove");
				setTimeout(function() {
					p.parentNode.removeChild(p);
					clearTimeout(r);
					0 >= n.childElementCount && (n.parentNode.removeChild(n), newNotifySettings.backOverlay && m.parentNode.removeChild(m))
				}, newNotifySettings.cssAnimationDuration)
			});
			b && p.addEventListener("click", function(a) {
				b();
				p.classList.add("remove");
				newNotifySettings.backOverlay && 0 >= n.childElementCount && m.classList.add("remove");
				clearTimeout(q);
				setTimeout(function() {
					p.parentNode.removeChild(p);
					0 >= n.childElementCount && (n.parentNode.removeChild(n), newNotifySettings.backOverlay && m.parentNode.removeChild(m));
					clearTimeout(r)
				}, newNotifySettings.cssAnimationDuration)
			})
		}
	} else console.error("Notiflix Error: Where is the arguments?")
}

function NotiflixReport(a, b, c, f, e, g) {
	newReportSettings.plainText && (a = notiflixPlaintext(a), b = notiflixPlaintext(b), c = notiflixPlaintext(c));
	newReportSettings.plainText || (a.length > newReportSettings.titleMaxLength && (a = "HTML Tags Error", b = 'Your Title content length is more than "titleMaxLength" option.', c = "Okay"), b.length > newReportSettings.messageMaxLength && (a = "HTML Tags Error", b = 'Your Message content length is more than "messageMaxLength" option.', c = "Okay"), c.length > newReportSettings.buttonMaxLength && (a = "HTML Tags Error", b = 'Your Button content length is more than "buttonMaxLength" option.', c = "Okay"));
	a.length > newReportSettings.titleMaxLength && (a = a.substring(0, newReportSettings.titleMaxLength) + "...");
	b.length > newReportSettings.messageMaxLength && (b = b.substring(0, newReportSettings.messageMaxLength) + "...");
	c.length > newReportSettings.buttonMaxLength && (c = c.substring(0, newReportSettings.buttonMaxLength) + "...");
	newReportSettings.cssAnimation || (newReportSettings.cssAnimationDuration = 0);
	var d = document.getElementsByTagName("body")[0],
		h = document.createElement("div");
	h.id = reportSettings.ID;
	h.className = newReportSettings.className;
	h.style.width = newReportSettings.width;
	h.style.zIndex = newReportSettings.zindex;
	h.style.borderRadius = newReportSettings.borderRadius;
	newReportSettings.useGoogleFont && (h.style.fontFamily = '"' + newReportSettings.fontFamily + '", sans-serif');
	newReportSettings.rtl && (h.setAttribute("dir", "rtl"), h.classList.add("rtl-on"));
	var l = "";
	newReportSettings.backOverlay && (l = '<div class="' + newReportSettings.className + "-overlay" + (newReportSettings.cssAnimation ? " with-animation" : "") + '" style="background:' + newReportSettings.backOverlayColor + ";animation-duration:" + newReportSettings.cssAnimationDuration + 'ms;"></div>');
	var k = "";
	if ("success" === g ? k = notiflixReportSvgSuccess(newReportSettings.svgSize, e.svgColor) : "failure" === g ? k = notiflixReportSvgFailure(newReportSettings.svgSize, e.svgColor) : "warning" === g ? k = notiflixReportSvgWarning(newReportSettings.svgSize, e.svgColor) : "info" === g && (k = notiflixReportSvgInfo(newReportSettings.svgSize, e.svgColor)), h.innerHTML = l + '<div class="' + newReportSettings.className + "-content" + (newReportSettings.cssAnimation ? " with-animation " : "") + " nx-" + newReportSettings.cssAnimationStyle + '" style="background:' + newReportSettings.backgroundColor + "; animation-duration:" + newReportSettings.cssAnimationDuration + 'ms;"><div style="width:' + newReportSettings.svgSize + "; height:" + newReportSettings.svgSize + ';" class="' + newReportSettings.className + '-icon">' + k + '</div><h5 class="' + newReportSettings.className + '-title" style="font-weight:500; font-size:' + newReportSettings.titleFontSize + "; color:" + e.titleColor + ';">' + a + '</h5><p class="' + newReportSettings.className + '-message" style="font-size:' + newReportSettings.messageFontSize + "; color:" + e.messageColor + ';">' + b + '</p><a id="NXReportButton" class="' + newReportSettings.className + '-button" style="font-weight:500; font-size:' + newReportSettings.buttonFontSize + "; background:" + e.buttonBackground + "; color:" + e.buttonColor + ';">' + c + "</a></div>", !document.getElementById(h.id)) {
		d.appendChild(h);
		a = Math.round(window.innerHeight);
		b = Math.round(document.getElementById(h.id).offsetHeight);
		h.style.top = (a - b) / 2 + "px";
		var m = document.getElementById(h.id);
		document.getElementById("NXReportButton").addEventListener("click", function() {
			f && f();
			m.classList.add("remove");
			setTimeout(function() {
				m.parentNode.removeChild(m)
			}, newReportSettings.cssAnimationDuration)
		})
	}
}
function NotiflixConfirm(a, b, c, f, e) {
	newConfirmSettings.plainText && (a = notiflixPlaintext(a), b = notiflixPlaintext(b), c = notiflixPlaintext(c), f = notiflixPlaintext(f));
	newConfirmSettings.plainText || (a.length > newConfirmSettings.titleMaxLength && (a = "HTML Tags Error", b = 'Your Title content length is more than "titleMaxLength" option.', c = "Okay", f = "..."), b.length > newConfirmSettings.messageMaxLength && (a = "HTML Tags Error", b = 'Your Message content length is more than "messageMaxLength" option.', c = "Okay", f = "..."), (c.length || f.length) > newConfirmSettings.buttonsMaxLength && (a = "HTML Tags Error", b = 'Your Buttons contents length is more than "buttonsMaxLength" option.', c = "Okay", f = "..."));
	a.length > newConfirmSettings.titleMaxLength && (a = a.substring(0, newConfirmSettings.titleMaxLength) + "...");
	b.length > newConfirmSettings.messageMaxLength && (b = b.substring(0, newConfirmSettings.messageMaxLength) + "...");
	c.length > newConfirmSettings.buttonsMaxLength && (c = c.substring(0, newConfirmSettings.buttonsMaxLength) + "...");
	f.length > newConfirmSettings.buttonsMaxLength && (f = f.substring(0, newConfirmSettings.buttonsMaxLength) + "...");
	newConfirmSettings.cssAnimation || (newConfirmSettings.cssAnimationDuration = 0);
	var g = document.getElementsByTagName("body")[0],
		d = document.createElement("div");
	d.id = confirmSettings.ID;
	d.className = newConfirmSettings.className + (newConfirmSettings.cssAnimation ? " with-animation nx-" + newConfirmSettings.cssAnimationStyle : "");
	d.style.width = newConfirmSettings.width;
	d.style.zIndex = newConfirmSettings.zindex;
	newConfirmSettings.rtl && (d.setAttribute("dir", "rtl"), d.classList.add("rtl-on"));
	newConfirmSettings.useGoogleFont && (d.style.fontFamily = '"' + newConfirmSettings.fontFamily + '", sans-serif');
	var h = "";
	newConfirmSettings.backOverlay && (h = '<div class="' + newConfirmSettings.className + "-overlay" + (newConfirmSettings.cssAnimation ? " with-animation" : "") + '" style="background:' + newConfirmSettings.backOverlayColor + ";animation-duration:" + newConfirmSettings.cssAnimationDuration + 'ms;"></div>');
	var l = "";
	if (e && (l = '<a id="NXConfirmButtonCancel" class="confirm-button-cancel" style="color:' + newConfirmSettings.cancelButtonColor + ";background:" + newConfirmSettings.cancelButtonBackground + ";font-size:" + newConfirmSettings.buttonsFontSize + ';">' + f + "</a>"), d.innerHTML = h + '<div class="' + newConfirmSettings.className + '-content" style="background:' + newConfirmSettings.backgroundColor + "; animation-duration:" + newConfirmSettings.cssAnimationDuration + "ms; border-radius: " + newConfirmSettings.borderRadius + ';"><div class="' + newConfirmSettings.className + '-head"><h5 style="color:' + newConfirmSettings.titleColor + ";font-size:" + newConfirmSettings.titleFontSize + ';">' + a + '</h5><p style="color:' + newConfirmSettings.messageColor + ";font-size:" + newConfirmSettings.messageFontSize + ';">' + b + '</p></div><div class="' + newConfirmSettings.className + '-buttons"><a id="NXConfirmButtonOk" class="confirm-button-ok' + (e ? "" : " full") + '" style="color:' + newConfirmSettings.okButtonColor + ";background:" + newConfirmSettings.okButtonBackground + ";font-size:" + newConfirmSettings.buttonsFontSize + ';">' + c + "</a>" + l + "</div></div>", !document.getElementById(d.id)) {
		(g.appendChild(d), "center" === newConfirmSettings.position) ? (a = Math.round(window.innerHeight), b = Math.round(document.getElementById(d.id).offsetHeight), d.style.top = (a - b) / 2 + "px", d.style.left = newConfirmSettings.distance, d.style.right = newConfirmSettings.distance, d.style.bottom = "auto") : "right-top" === newConfirmSettings.position ? (d.style.right = newConfirmSettings.distance, d.style.top = newConfirmSettings.distance, d.style.bottom = "auto", d.style.left = "auto") : "right-bottom" === newConfirmSettings.position ? (d.style.right = newConfirmSettings.distance, d.style.bottom = newConfirmSettings.distance, d.style.top = "auto", d.style.left = "auto") : "left-top" === newConfirmSettings.position ? (d.style.left = newConfirmSettings.distance, d.style.top = newConfirmSettings.distance, d.style.right = "auto", d.style.bottom = "auto") : "left-bottom" === newConfirmSettings.position ? (d.style.left = newConfirmSettings.distance, d.style.bottom = newConfirmSettings.distance, d.style.top = "auto", d.style.right = "auto") : (d.style.top = newConfirmSettings.distance, d.style.left = 0, d.style.right = 0, d.style.bottom = "auto");
		d.style.margin = "auto";
		var k = document.getElementById(d.id);
		d = document.getElementById("NXConfirmButtonOk");
		e ? (d.addEventListener("click", function() {
			e();
			k.classList.add("remove");
			setTimeout(function() {
				k.parentNode.removeChild(k)
			}, newConfirmSettings.cssAnimationDuration)
		}), document.getElementById("NXConfirmButtonCancel").addEventListener("click", function() {
			k.classList.add("remove");
			setTimeout(function() {
				k.parentNode.removeChild(k)
			}, newConfirmSettings.cssAnimationDuration)
		})) : d.addEventListener("click", function() {
			k.classList.add("remove");
			setTimeout(function() {
				k.parentNode.removeChild(k)
			}, newConfirmSettings.cssAnimationDuration)
		})
	}
}
function closeBanner() {
	closeB = true;
	return;
}
function NotiflixLoading(a, b, c, f) {
	if (c) {
		a = a.toString().length > newLoadingSettings.messageMaxLength ? notiflixPlaintext(a).toString().substring(0, newLoadingSettings.messageMaxLength) + "..." : notiflixPlaintext(a).toString();
		c = parseInt(newLoadingSettings.svgSize.slice(0, -2));
		f = "";
		if (0 < a.length) {
			f = Math.round(c - c / 3).toString() + "px";
			var e = (1.2 * parseInt(newLoadingSettings.messageFontSize.slice(0, 2))).toString() + "px";
			f = '<p id="' + newLoadingSettings.messageID + '" class="loading-message" style="color:' + newLoadingSettings.messageColor + ";font-size:" + newLoadingSettings.messageFontSize + ";height:" + e + "; top:" + f + ';">' + a + "</p>"
		}
		newLoadingSettings.cssAnimation || (newLoadingSettings.cssAnimationDuration = 0);
		e = "";
		if ("standard" === b) e = notiflixLoadingSvgStandard(newLoadingSettings.svgSize, newLoadingSettings.svgColor);
		else if ("hourglass" === b) e = notiflixLoadingSvgHourglass(newLoadingSettings.svgSize, newLoadingSettings.svgColor);
		else if ("circle" === b) e = notiflixLoadingSvgCircle(newLoadingSettings.svgSize, newLoadingSettings.svgColor);
		else if ("arrows" === b) e = notiflixLoadingSvgArrows(newLoadingSettings.svgSize, newLoadingSettings.svgColor);
		else if ("dots" === b) e = notiflixLoadingSvgDots(newLoadingSettings.svgSize, newLoadingSettings.svgColor);
		else if ("pulse" === b) e = notiflixLoadingSvgPulse(newLoadingSettings.svgSize, newLoadingSettings.svgColor);
		else if ("custom" === b && null !== newLoadingSettings.customSvgUrl) e = '<img class="custom-loading-icon" width="' + newLoadingSettings.svgSize + '" height="' + newLoadingSettings.svgSize + '" src="' + newLoadingSettings.customSvgUrl + '" alt="Notiflix">';
		else {
			if ("custom" === b && null == newLoadingSettings.customSvgUrl) return console.error('Notiflix Error: You have to set a static SVG url to "customSvgUrl" option for use Loading Custom.'), !1;
			"notiflix" === b && (e = notiflixLoadingSvgNotiflix(newLoadingSettings.svgSize, "#f8f8f8", "#00b462"))
		}
		b = 0;
		0 < a.length && (b = "-" + Math.round(c - c / 3).toString() + "px");
		a = '<div style="top:' + b + "; width:" + newLoadingSettings.svgSize + "; height:" + newLoadingSettings.svgSize + ';" class="' + newLoadingSettings.className + "-icon" + (0 < a.length ? " with-message" : "") + '">' + e + "</div>";
		b = document.getElementsByTagName("body")[0];
		var g = document.createElement("div");
		(g.id = loadingSettings.ID, g.className = newLoadingSettings.className + (newLoadingSettings.cssAnimation ? " with-animation" : "") + (newLoadingSettings.clickToClose ? " click-to-close" : ""), g.style.zIndex = newLoadingSettings.zindex, g.style.background = newLoadingSettings.backgroundColor, g.style.animationDuration = newLoadingSettings.cssAnimationDuration + "ms", newLoadingSettings.useGoogleFont && (g.style.fontFamily = '"' + newLoadingSettings.fontFamily + '", sans-serif'), newLoadingSettings.rtl && (g.setAttribute("dir", "rtl"), g.classList.add("rtl-on")), g.innerHTML = a + f, document.getElementById(g.id)) || (b.appendChild(g), newLoadingSettings.clickToClose) && (d = document.getElementById(g.id)).addEventListener("click", function() {
			g.classList.add("remove");
			setTimeout(function() {
				g.parentNode.removeChild(g)
			}, newLoadingSettings.cssAnimationDuration)
		})
	} else if (document.getElementById(loadingSettings.ID)) {
		var d = document.getElementById(loadingSettings.ID);
		setTimeout(function() {
			d.classList.add("remove");
			setTimeout(function() {
				d.parentNode.removeChild(d)
			}, newLoadingSettings.cssAnimationDuration)
		}, f)
	}
}

function notiflixReportSvgSuccess(a, b) {
	return a || (a = "110px"), b || (b = "#00b462"), '<svg id="NXReportSuccess" fill="' + b + '" width="' + a + '" height="' + a + '" xmlns="http://www.w3.org/2000/svg" xml:space="preserve" version="1.1" style="shape-rendering:geometricPrecision; text-rendering:geometricPrecision; image-rendering:optimizeQuality; fill-rule:evenodd; clip-rule:evenodd" viewBox="0 0 120 120" xmlns:xlink="http://www.w3.org/1999/xlink"><style>@-webkit-keyframes NXReportSuccess5-animation{0%{-webkit-transform: translate(60px, 57.7px) scale(0.5, 0.5) translate(-60px, -57.7px);transform: translate(60px, 57.7px) scale(0.5, 0.5) translate(-60px, -57.7px);}50%{-webkit-transform: translate(60px, 57.7px) scale(1, 1) translate(-60px, -57.7px);transform: translate(60px, 57.7px) scale(1, 1) translate(-60px, -57.7px);}60%{-webkit-transform: translate(60px, 57.7px) scale(0.95, 0.95) translate(-60px, -57.7px);transform: translate(60px, 57.7px) scale(0.95, 0.95) translate(-60px, -57.7px);}100%{-webkit-transform: translate(60px, 57.7px) scale(1, 1) translate(-60px, -57.7px);transform: translate(60px, 57.7px) scale(1, 1) translate(-60px, -57.7px);}}@keyframes NXReportSuccess5-animation{0%{-webkit-transform: translate(60px, 57.7px) scale(0.5, 0.5) translate(-60px, -57.7px);transform: translate(60px, 57.7px) scale(0.5, 0.5) translate(-60px, -57.7px);}50%{-webkit-transform: translate(60px, 57.7px) scale(1, 1) translate(-60px, -57.7px);transform: translate(60px, 57.7px) scale(1, 1) translate(-60px, -57.7px);}60%{-webkit-transform: translate(60px, 57.7px) scale(0.95, 0.95) translate(-60px, -57.7px);transform: translate(60px, 57.7px) scale(0.95, 0.95) translate(-60px, -57.7px);}100%{-webkit-transform: translate(60px, 57.7px) scale(1, 1) translate(-60px, -57.7px);transform: translate(60px, 57.7px) scale(1, 1) translate(-60px, -57.7px);}}@-webkit-keyframes NXReportSuccess6-animation{0%{opacity: 0;}50%{opacity: 1;}100%{opacity: 1;}}@keyframes NXReportSuccess6-animation{0%{opacity: 0;}50%{opacity: 1;}100%{opacity: 1;}}@-webkit-keyframes NXReportSuccess4-animation{0%{opacity: 0;}40%{opacity: 1;}100%{opacity: 1;}}@keyframes NXReportSuccess4-animation{0%{opacity: 0;}40%{opacity: 1;}100%{opacity: 1;}}@-webkit-keyframes NXReportSuccess3-animation{0%{-webkit-transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);}40%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}60%{-webkit-transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);}100%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}}@keyframes NXReportSuccess3-animation{0%{-webkit-transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);}40%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}60%{-webkit-transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);}100%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}}#NXReportSuccess *{-webkit-animation-duration: 1.2s;animation-duration: 1.2s;-webkit-animation-timing-function: cubic-bezier(0, 0, 1, 1);animation-timing-function: cubic-bezier(0, 0, 1, 1);}#NXReportSuccess4{fill: inherit;-webkit-animation-name: NXReportSuccess4-animation;animation-name: NXReportSuccess4-animation;-webkit-animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);opacity: 1;}#NXReportSuccess6{fill: inherit;-webkit-animation-name: NXReportSuccess6-animation;animation-name: NXReportSuccess6-animation;opacity: 1;-webkit-animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);}#NXReportSuccess3{-webkit-animation-name: NXReportSuccess3-animation;animation-name: NXReportSuccess3-animation;-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);-webkit-animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);}#NXReportSuccess5{-webkit-animation-name: NXReportSuccess5-animation;animation-name: NXReportSuccess5-animation;-webkit-transform: translate(60px, 57.7px) scale(1, 1) translate(-60px, -57.7px);transform: translate(60px, 57.7px) scale(1, 1) translate(-60px, -57.7px);-webkit-animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);}</style><g id="NXReportSuccess1"><g id="NXReportSuccess2"><g id="NXReportSuccess3" data-animator-group="true" data-animator-type="2"><path d="M60 115.38c-30.54,0 -55.38,-24.84 -55.38,-55.38 0,-30.54 24.84,-55.38 55.38,-55.38 30.54,0 55.38,24.84 55.38,55.38 0,30.54 -24.84,55.38 -55.38,55.38zm0 -115.38c-33.08,0 -60,26.92 -60,60 0,33.08 26.92,60 60,60 33.08,0 60,-26.92 60,-60 0,-33.08 -26.92,-60 -60,-60z" id="NXReportSuccess4"/></g><g id="NXReportSuccess5" data-animator-group="true" data-animator-type="2"><path d="M88.27 35.39l-35.47 39.9 -21.37 -17.09c-0.98,-0.81 -2.44,-0.63 -3.24,0.36 -0.79,0.99 -0.63,2.44 0.36,3.24l23.08 18.46c0.43,0.34 0.93,0.51 1.44,0.51 0.64,0 1.27,-0.26 1.74,-0.78l36.91 -41.53c0.86,-0.96 0.76,-2.42 -0.19,-3.26 -0.95,-0.86 -2.41,-0.77 -3.26,0.19z" id="NXReportSuccess6"/></g></g></g></svg>'
}

function notiflixReportSvgFailure(a, b) {
	return a || (a = "110px"), b || (b = "#f44336"), '<svg id="NXReportFailure" fill=" ' + b + '" width="' + a + '" height="' + a + '" xmlns="http://www.w3.org/2000/svg" xml:space="preserve" version="1.1" style="shape-rendering:geometricPrecision; text-rendering:geometricPrecision; image-rendering:optimizeQuality; fill-rule:evenodd; clip-rule:evenodd" viewBox="0 0 120 120" xmlns:xlink="http://www.w3.org/1999/xlink"><style>@-webkit-keyframes NXReportFailure4-animation{0%{opacity: 0;}40%{opacity: 1;}100%{opacity: 1;}}@keyframes NXReportFailure4-animation{0%{opacity: 0;}40%{opacity: 1;}100%{opacity: 1;}}@-webkit-keyframes NXReportFailure3-animation{0%{-webkit-transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);}40%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}60%{-webkit-transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);}100%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}}@keyframes NXReportFailure3-animation{0%{-webkit-transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);}40%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}60%{-webkit-transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);}100%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}}@-webkit-keyframes NXReportFailure5-animation{0%{-webkit-transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);}50%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}60%{-webkit-transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);}100%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}}@keyframes NXReportFailure5-animation{0%{-webkit-transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);}50%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}60%{-webkit-transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);}100%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}}@-webkit-keyframes NXReportFailure6-animation{0%{opacity: 0;}50%{opacity: 1;}100%{opacity: 1;}}@keyframes NXReportFailure6-animation{0%{opacity: 0;}50%{opacity: 1;}100%{opacity: 1;}}#NXReportFailure *{-webkit-animation-duration: 1.2s;animation-duration: 1.2s;-webkit-animation-timing-function: cubic-bezier(0, 0, 1, 1);animation-timing-function: cubic-bezier(0, 0, 1, 1);}#NXReportFailure6{fill:inherit;-webkit-animation-name: NXReportFailure6-animation;animation-name: NXReportFailure6-animation;-webkit-animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);opacity: 1;}#NXReportFailure5{-webkit-animation-name: NXReportFailure5-animation;animation-name: NXReportFailure5-animation;-webkit-animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}#NXReportFailure3{-webkit-animation-name: NXReportFailure3-animation;animation-name: NXReportFailure3-animation;-webkit-animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}#NXReportFailure4{fill:inherit;-webkit-animation-name: NXReportFailure4-animation;animation-name: NXReportFailure4-animation;-webkit-animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);opacity: 1;}</style><g id="NXReportFailure1"><g id="NXReportFailure2"><g id="NXReportFailure3" data-animator-group="true" data-animator-type="2"><path d="M4.35 34.95c0,-16.82 13.78,-30.6 30.6,-30.6l50.1 0c16.82,0 30.6,13.78 30.6,30.6l0 50.1c0,16.82 -13.78,30.6 -30.6,30.6l-50.1 0c-16.82,0 -30.6,-13.78 -30.6,-30.6l0 -50.1zm30.6 85.05l50.1 0c19.22,0 34.95,-15.73 34.95,-34.95l0 -50.1c0,-19.22 -15.73,-34.95 -34.95,-34.95l-50.1 0c-19.22,0 -34.95,15.73 -34.95,34.95l0 50.1c0,19.22 15.73,34.95 34.95,34.95z" id="NXReportFailure4"/></g><g id="NXReportFailure5" data-animator-group="true" data-animator-type="2"><path d="M82.4 37.6c-0.9,-0.9 -2.37,-0.9 -3.27,0l-19.13 19.13 -19.14 -19.13c-0.9,-0.9 -2.36,-0.9 -3.26,0 -0.9,0.9 -0.9,2.35 0,3.26l19.13 19.14 -19.13 19.13c-0.9,0.9 -0.9,2.37 0,3.27 0.45,0.45 1.04,0.68 1.63,0.68 0.59,0 1.18,-0.23 1.63,-0.68l19.14 -19.14 19.13 19.14c0.45,0.45 1.05,0.68 1.64,0.68 0.58,0 1.18,-0.23 1.63,-0.68 0.9,-0.9 0.9,-2.37 0,-3.27l-19.14 -19.13 19.14 -19.14c0.9,-0.91 0.9,-2.36 0,-3.26z" id="NXReportFailure6"/></g></g></g></svg>'
}

function notiflixReportSvgWarning(a, b) {
	return a || (a = "110px"), b || (b = "#f2bd1d"), '<svg id="NXReportWarning" fill="' + b + '" width="' + a + '" height="' + a + '" xmlns="http://www.w3.org/2000/svg" xml:space="preserve" version="1.1" style="shape-rendering:geometricPrecision; text-rendering:geometricPrecision; image-rendering:optimizeQuality; fill-rule:evenodd; clip-rule:evenodd" viewBox="0 0 120 120" xmlns:xlink="http://www.w3.org/1999/xlink"><style>@-webkit-keyframes NXReportWarning3-animation{0%{opacity: 0;}40%{opacity: 1;}100%{opacity: 1;}}@keyframes NXReportWarning3-animation{0%{opacity: 0;}40%{opacity: 1;}100%{opacity: 1;}}@-webkit-keyframes NXReportWarning2-animation{0%{-webkit-transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);}40%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}60%{-webkit-transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);}100%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}}@keyframes NXReportWarning2-animation{0%{-webkit-transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);}40%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}60%{-webkit-transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);}100%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}}@-webkit-keyframes NXReportWarning4-animation{0%{-webkit-transform: translate(60px, 66.6px) scale(0.5, 0.5) translate(-60px, -66.6px);transform: translate(60px, 66.6px) scale(0.5, 0.5) translate(-60px, -66.6px);}50%{-webkit-transform: translate(60px, 66.6px) scale(1, 1) translate(-60px, -66.6px);transform: translate(60px, 66.6px) scale(1, 1) translate(-60px, -66.6px);}60%{-webkit-transform: translate(60px, 66.6px) scale(0.95, 0.95) translate(-60px, -66.6px);transform: translate(60px, 66.6px) scale(0.95, 0.95) translate(-60px, -66.6px);}100%{-webkit-transform: translate(60px, 66.6px) scale(1, 1) translate(-60px, -66.6px);transform: translate(60px, 66.6px) scale(1, 1) translate(-60px, -66.6px);}}@keyframes NXReportWarning4-animation{0%{-webkit-transform: translate(60px, 66.6px) scale(0.5, 0.5) translate(-60px, -66.6px);transform: translate(60px, 66.6px) scale(0.5, 0.5) translate(-60px, -66.6px);}50%{-webkit-transform: translate(60px, 66.6px) scale(1, 1) translate(-60px, -66.6px);transform: translate(60px, 66.6px) scale(1, 1) translate(-60px, -66.6px);}60%{-webkit-transform: translate(60px, 66.6px) scale(0.95, 0.95) translate(-60px, -66.6px);transform: translate(60px, 66.6px) scale(0.95, 0.95) translate(-60px, -66.6px);}100%{-webkit-transform: translate(60px, 66.6px) scale(1, 1) translate(-60px, -66.6px);transform: translate(60px, 66.6px) scale(1, 1) translate(-60px, -66.6px);}}@-webkit-keyframes NXReportWarning5-animation{0%{opacity: 0;}50%{opacity: 1;}100%{opacity: 1;}}@keyframes NXReportWarning5-animation{0%{opacity: 0;}50%{opacity: 1;}100%{opacity: 1;}}#NXReportWarning *{-webkit-animation-duration: 1.2s;animation-duration: 1.2s;-webkit-animation-timing-function: cubic-bezier(0, 0, 1, 1);animation-timing-function: cubic-bezier(0, 0, 1, 1);}#NXReportWarning3{fill: inherit;-webkit-animation-name: NXReportWarning3-animation;animation-name: NXReportWarning3-animation;-webkit-animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);opacity: 1;}#NXReportWarning5{fill: inherit;-webkit-animation-name: NXReportWarning5-animation;animation-name: NXReportWarning5-animation;-webkit-animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);opacity: 1;}#NXReportWarning4{-webkit-animation-name: NXReportWarning4-animation;animation-name: NXReportWarning4-animation;-webkit-animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);-webkit-transform: translate(60px, 66.6px) scale(1, 1) translate(-60px, -66.6px);transform: translate(60px, 66.6px) scale(1, 1) translate(-60px, -66.6px);}#NXReportWarning2{-webkit-animation-name: NXReportWarning2-animation;animation-name: NXReportWarning2-animation;-webkit-animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}</style><g id="NXReportWarning1"><g id="NXReportWarning2" data-animator-group="true" data-animator-type="2"><path d="M115.46 106.15l-54.04 -93.8c-0.61,-1.06 -2.23,-1.06 -2.84,0l-54.04 93.8c-0.62,1.07 0.21,2.29 1.42,2.29l108.08 0c1.21,0 2.04,-1.22 1.42,-2.29zm-50.29 -95.95l54.04 93.8c2.28,3.96 -0.65,8.78 -5.17,8.78l-108.08 0c-4.52,0 -7.45,-4.82 -5.17,-8.78l54.04 -93.8c2.28,-3.95 8.03,-4 10.34,0z" id="NXReportWarning3"/></g><g id="NXReportWarning4" data-animator-group="true" data-animator-type="2"><path d="M57.83 94.01c0,1.2 0.97,2.17 2.17,2.17 1.2,0 2.17,-0.97 2.17,-2.17l0 -3.2c0,-1.2 -0.97,-2.17 -2.17,-2.17 -1.2,0 -2.17,0.97 -2.17,2.17l0 3.2zm0 -14.15c0,1.2 0.97,2.17 2.17,2.17 1.2,0 2.17,-0.97 2.17,-2.17l0 -40.65c0,-1.2 -0.97,-2.17 -2.17,-2.17 -1.2,0 -2.17,0.97 -2.17,2.17l0 40.65z" id="NXReportWarning5"/></g></g></svg>'
}

function notiflixReportSvgInfo(a, b) {
	return a || (a = "110px"), b || (b = "#00bcd4"), '<svg id="NXReportInfo" fill="' + b + '" width="' + a + '" height="' + a + '" xmlns="http://www.w3.org/2000/svg" xml:space="preserve" version="1.1" style="shape-rendering:geometricPrecision; text-rendering:geometricPrecision; image-rendering:optimizeQuality; fill-rule:evenodd; clip-rule:evenodd" viewBox="0 0 120 120" xmlns:xlink="http://www.w3.org/1999/xlink"><style>@-webkit-keyframes NXReportInfo5-animation{0%{opacity: 0;}50%{opacity: 1;}100%{opacity: 1;}}@keyframes NXReportInfo5-animation{0%{opacity: 0;}50%{opacity: 1;}100%{opacity: 1;}}@-webkit-keyframes NXReportInfo4-animation{0%{-webkit-transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);}50%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}60%{-webkit-transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);}100%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}}@keyframes NXReportInfo4-animation{0%{-webkit-transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);}50%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}60%{-webkit-transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);}100%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}}@-webkit-keyframes NXReportInfo3-animation{0%{opacity: 0;}40%{opacity: 1;}100%{opacity: 1;}}@keyframes NXReportInfo3-animation{0%{opacity: 0;}40%{opacity: 1;}100%{opacity: 1;}}@-webkit-keyframes NXReportInfo2-animation{0%{-webkit-transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);}40%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}60%{-webkit-transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);}100%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}}@keyframes NXReportInfo2-animation{0%{-webkit-transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.5, 0.5) translate(-60px, -60px);}40%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}60%{-webkit-transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);transform: translate(60px, 60px) scale(0.95, 0.95) translate(-60px, -60px);}100%{-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}}#NXReportInfo *{-webkit-animation-duration: 1.2s;animation-duration: 1.2s;-webkit-animation-timing-function: cubic-bezier(0, 0, 1, 1);animation-timing-function: cubic-bezier(0, 0, 1, 1);}#NXReportInfo3{fill:inherit;-webkit-animation-name: NXReportInfo3-animation;animation-name: NXReportInfo3-animation;-webkit-animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);opacity: 1;}#NXReportInfo5{fill:inherit;-webkit-animation-name: NXReportInfo5-animation;animation-name: NXReportInfo5-animation;-webkit-animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);opacity: 1;}#NXReportInfo2{-webkit-animation-name: NXReportInfo2-animation;animation-name: NXReportInfo2-animation;-webkit-animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}#NXReportInfo4{-webkit-animation-name: NXReportInfo4-animation;animation-name: NXReportInfo4-animation;-webkit-animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);-webkit-transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);transform: translate(60px, 60px) scale(1, 1) translate(-60px, -60px);}</style><g id="NXReportInfo1"><g id="NXReportInfo2" data-animator-group="true" data-animator-type="2"><path d="M60 115.38c-30.54,0 -55.38,-24.84 -55.38,-55.38 0,-30.54 24.84,-55.38 55.38,-55.38 30.54,0 55.38,24.84 55.38,55.38 0,30.54 -24.84,55.38 -55.38,55.38zm0 -115.38c-33.08,0 -60,26.92 -60,60 0,33.08 26.92,60 60,60 33.08,0 60,-26.92 60,-60 0,-33.08 -26.92,-60 -60,-60z" id="NXReportInfo3"/></g><g id="NXReportInfo4" data-animator-group="true" data-animator-type="2"><path d="M57.75 43.85c0,-1.24 1.01,-2.25 2.25,-2.25 1.24,0 2.25,1.01 2.25,2.25l0 48.18c0,1.24 -1.01,2.25 -2.25,2.25 -1.24,0 -2.25,-1.01 -2.25,-2.25l0 -48.18zm0 -15.88c0,-1.24 1.01,-2.25 2.25,-2.25 1.24,0 2.25,1.01 2.25,2.25l0 3.32c0,1.25 -1.01,2.25 -2.25,2.25 -1.24,0 -2.25,-1 -2.25,-2.25l0 -3.32z" id="NXReportInfo5"/></g></g></svg>'
}

function notiflixLoadingSvgStandard(a, b) {
	return a || (a = "60px"), b || (b = "#00b462"), '<svg stroke="' + b + '" width="' + a + '" height="' + a + '" viewBox="0 0 38 38" style="transform:scale(0.8);" xmlns="http://www.w3.org/2000/svg"><g fill="none" fill-rule="evenodd"><g transform="translate(1 1)" stroke-width="2"><circle stroke-opacity=".25" cx="18" cy="18" r="18"/><path d="M36 18c0-9.94-8.06-18-18-18"><animateTransform attributeName="transform" type="rotate" from="0 18 18" to="360 18 18" dur="1s" repeatCount="indefinite"/></path></g></g></svg>'
}

function notiflixLoadingSvgHourglass(a, b) {
	return a || (a = "60px"), b || (b = "#00b462"), '<svg id="NXLoadingHourglass" fill="' + b + '" width="' + a + '" height="' + a + '" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" xml:space="preserve" version="1.1" style="shape-rendering:geometricPrecision; text-rendering:geometricPrecision; image-rendering:optimizeQuality; fill-rule:evenodd; clip-rule:evenodd" viewBox="0 0 200 200"><style>@-webkit-keyframes NXhourglass5-animation{0%{-webkit-transform: scale(1, 1);transform: scale(1, 1);}16.67%{-webkit-transform: scale(1, 0.8);transform: scale(1, 0.8);}33.33%{-webkit-transform: scale(0.88, 0.6);transform: scale(0.88, 0.6);}37.50%{-webkit-transform: scale(0.85, 0.55);transform: scale(0.85, 0.55);}41.67%{-webkit-transform: scale(0.8, 0.5);transform: scale(0.8, 0.5);}45.83%{-webkit-transform: scale(0.75, 0.45);transform: scale(0.75, 0.45);}50%{-webkit-transform: scale(0.7, 0.4);transform: scale(0.7, 0.4);}54.17%{-webkit-transform: scale(0.6, 0.35);transform: scale(0.6, 0.35);}58.33%{-webkit-transform: scale(0.5, 0.3);transform: scale(0.5, 0.3);}83.33%{-webkit-transform: scale(0.2, 0);transform: scale(0.2, 0);}100%{-webkit-transform: scale(0.2, 0);transform: scale(0.2, 0);}}@keyframes NXhourglass5-animation{0%{-webkit-transform: scale(1, 1);transform: scale(1, 1);}16.67%{-webkit-transform: scale(1, 0.8);transform: scale(1, 0.8);}33.33%{-webkit-transform: scale(0.88, 0.6);transform: scale(0.88, 0.6);}37.50%{-webkit-transform: scale(0.85, 0.55);transform: scale(0.85, 0.55);}41.67%{-webkit-transform: scale(0.8, 0.5);transform: scale(0.8, 0.5);}45.83%{-webkit-transform: scale(0.75, 0.45);transform: scale(0.75, 0.45);}50%{-webkit-transform: scale(0.7, 0.4);transform: scale(0.7, 0.4);}54.17%{-webkit-transform: scale(0.6, 0.35);transform: scale(0.6, 0.35);}58.33%{-webkit-transform: scale(0.5, 0.3);transform: scale(0.5, 0.3);}83.33%{-webkit-transform: scale(0.2, 0);transform: scale(0.2, 0);}100%{-webkit-transform: scale(0.2, 0);transform: scale(0.2, 0);}}@-webkit-keyframes NXhourglass3-animation{0%{-webkit-transform: scale(1, 0.02);transform: scale(1, 0.02);}79.17%{-webkit-transform: scale(1, 1);transform: scale(1, 1);}100%{-webkit-transform: scale(1, 1);transform: scale(1, 1);}}@keyframes NXhourglass3-animation{0%{-webkit-transform: scale(1, 0.02);transform: scale(1, 0.02);}79.17%{-webkit-transform: scale(1, 1);transform: scale(1, 1);}100%{-webkit-transform: scale(1, 1);transform: scale(1, 1);}}@-webkit-keyframes NXhourglass1-animation{0%{-webkit-transform: rotate(0deg);transform: rotate(0deg);}83.33%{-webkit-transform: rotate(0deg);transform: rotate(0deg);}100%{-webkit-transform: rotate(180deg);transform: rotate(180deg);}}@keyframes NXhourglass1-animation{0%{-webkit-transform: rotate(0deg);transform: rotate(0deg);}83.33%{-webkit-transform: rotate(0deg);transform: rotate(0deg);}100%{-webkit-transform: rotate(180deg);transform: rotate(180deg);}}#NXLoadingHourglass *{-webkit-animation-duration: 1.2s;animation-duration: 1.2s;-webkit-animation-iteration-count: infinite;animation-iteration-count: infinite;-webkit-animation-timing-function: cubic-bezier(0, 0, 1, 1);animation-timing-function: cubic-bezier(0, 0, 1, 1);}#NXhourglass7{fill: inherit;}#NXhourglass1{-webkit-animation-name: NXhourglass1-animation;animation-name: NXhourglass1-animation;-webkit-transform-origin: 50% 50%;transform-origin: 50% 50%;transform-box: fill-box;}#NXhourglass3{-webkit-animation-name: NXhourglass3-animation;animation-name: NXhourglass3-animation;-webkit-animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);animation-timing-function: cubic-bezier(0.42, 0, 0.58, 1);-webkit-transform-origin: 50% 100%;transform-origin: 50% 100%;transform-box: fill-box;}#NXhourglass5{-webkit-animation-name: NXhourglass5-animation;animation-name: NXhourglass5-animation;-webkit-transform-origin: 50% 100%;transform-origin: 50% 100%;transform-box: fill-box;}g#NXhourglass5,#NXhourglass3{fill: inherit;opacity: .4;}</style><g id="NXhourglass1" data-animator-group="true" data-animator-type="1"><g id="NXhourglass2"><g id="NXhourglass3" data-animator-group="true" data-animator-type="2"><polygon points="100,100 65.62,132.08 65.62,163.22 134.38,163.22 134.38,132.08 " id="NXhourglass4"/></g><g id="NXhourglass5" data-animator-group="true" data-animator-type="2"><polygon points="100,100 65.62,67.92 65.62,36.78 134.38,36.78 134.38,67.92" id="NXhourglass6"/></g> <path d="M51.14 38.89l8.33 0 0 14.93c0,15.1 8.29,28.99 23.34,39.1 1.88,1.25 3.04,3.97 3.04,7.08 0,3.11 -1.16,5.83 -3.04,7.09 -15.05,10.1 -23.34,23.99 -23.34,39.09l0 14.93 -8.33 0c-2.68,0 -4.86,2.18 -4.86,4.86 0,2.69 2.18,4.86 4.86,4.86l97.72 0c2.68,0 4.86,-2.17 4.86,-4.86 0,-2.68 -2.18,-4.86 -4.86,-4.86l-8.33 0 0 -14.93c0,-15.1 -8.29,-28.99 -23.34,-39.09 -1.88,-1.26 -3.04,-3.98 -3.04,-7.09 0,-3.11 1.16,-5.83 3.04,-7.08 15.05,-10.11 23.34,-24 23.34,-39.1l0 -14.93 8.33 0c2.68,0 4.86,-2.18 4.86,-4.86 0,-2.69 -2.18,-4.86 -4.86,-4.86l-97.72 0c-2.68,0 -4.86,2.17 -4.86,4.86 0,2.68 2.18,4.86 4.86,4.86zm79.67 14.93c0,15.87 -11.93,26.25 -19.04,31.03 -4.6,3.08 -7.34,8.75 -7.34,15.15 0,6.41 2.74,12.07 7.34,15.15 7.11,4.78 19.04,15.16 19.04,31.03l0 14.93 -61.62 0 0 -14.93c0,-15.87 11.93,-26.25 19.04,-31.02 4.6,-3.09 7.34,-8.75 7.34,-15.16 0,-6.4 -2.74,-12.07 -7.34,-15.15 -7.11,-4.78 -19.04,-15.16 -19.04,-31.03l0 -14.93 61.62 0 0 14.93z" id="NXhourglass7"/></g></g></svg>'
}

function notiflixLoadingSvgCircle(a, b) {
	return a || (a = "60px"), b || (b = "#00b462"), '<svg id="NXLoadingCircle" width="' + a + '" height="' + a + '" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="25 25 50 50" xml:space="preserve" version="1.1"><style>#NXLoadingCircle{-webkit-animation: rotate 2s linear infinite; animation: rotate 2s linear infinite; height: ' + a + "; -webkit-transform-origin: center center; -ms-transform-origin: center center; transform-origin: center center; width: " + a + '; position: absolute; top: 0; left: 0; margin: auto;}.notiflix-loader-circle-path{stroke-dasharray: 150,200; stroke-dashoffset: -10; -webkit-animation: dash 1.5s ease-in-out infinite, color 1.5s ease-in-out infinite; animation: dash 1.5s ease-in-out infinite, color 1.5s ease-in-out infinite; stroke-linecap: round;}@-webkit-keyframes rotate{100%{-webkit-transform: rotate(360deg); transform: rotate(360deg);}}@keyframes rotate{100%{-webkit-transform: rotate(360deg); transform: rotate(360deg);}}@-webkit-keyframes dash{0%{stroke-dasharray: 1,200; stroke-dashoffset: 0;}50%{stroke-dasharray: 89,200; stroke-dashoffset: -35;}100%{stroke-dasharray: 89,200; stroke-dashoffset: -124;}}@keyframes dash{0%{stroke-dasharray: 1,200; stroke-dashoffset: 0;}50%{stroke-dasharray: 89,200; stroke-dashoffset: -35;}100%{stroke-dasharray: 89,200; stroke-dashoffset: -124;}}</style><circle class="notiflix-loader-circle-path" cx="50" cy="50" r="20" fill="none" stroke="' + b + '" stroke-width="2"/></svg>'
}

function notiflixLoadingSvgArrows(a, b) {
	return a || (a = "60px"), b || (b = "#00b462"), '<svg id="NXLoadingArrows" fill="' + b + '" width="' + a + '" height="' + a + '" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" viewBox="0 0 128 128" xml:space="preserve"><g><path fill="inherit" fill-opacity="1" d="M109.25 55.5h-36l12-12a29.54 29.54 0 0 0-49.53 12H18.75A46.04 46.04 0 0 1 96.9 31.84l12.35-12.34v36zm-90.5 17h36l-12 12a29.54 29.54 0 0 0 49.53-12h16.97A46.04 46.04 0 0 1 31.1 96.16L18.74 108.5v-36z" /><animateTransform attributeName="transform" type="rotate" from="0 64 64" to="360 64 64" dur="1.5s" repeatCount="indefinite"></animateTransform></g></svg>'
}

function notiflixLoadingSvgDots(a, b) {
	return a || (a = "60px"), b || (b = "#00b462"), '<svg id="NXLoadingDots" fill="' + b + '" width="' + a + '" height="' + a + '" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid"><g transform="translate(25 50)"><circle cx="0" cy="0" r="9" fill="inherit" transform="scale(0.239 0.239)"><animateTransform attributeName="transform" type="scale" begin="-0.266s" calcMode="spline" keySplines="0.3 0 0.7 1;0.3 0 0.7 1" values="0;1;0" keyTimes="0;0.5;1" dur="0.8s" repeatCount="indefinite"/></circle></g><g transform="translate(50 50)"> <circle cx="0" cy="0" r="9" fill="inherit" transform="scale(0.00152 0.00152)"><animateTransform attributeName="transform" type="scale" begin="-0.133s" calcMode="spline" keySplines="0.3 0 0.7 1;0.3 0 0.7 1" values="0;1;0" keyTimes="0;0.5;1" dur="0.8s" repeatCount="indefinite"/></circle></g><g transform="translate(75 50)"><circle cx="0" cy="0" r="9" fill="inherit" transform="scale(0.299 0.299)"><animateTransform attributeName="transform" type="scale" begin="0s" calcMode="spline" keySplines="0.3 0 0.7 1;0.3 0 0.7 1" values="0;1;0" keyTimes="0;0.5;1" dur="0.8s" repeatCount="indefinite"/></circle></g></svg>'
}

function notiflixLoadingSvgPulse(a, b) {
	return a || (a = "60px"), b || (b = "#00b462"), '<svg stroke="' + b + '" width="' + a + '" height="' + a + '" viewBox="0 0 44 44" xmlns="http://www.w3.org/2000/svg"><g fill="none" fill-rule="evenodd" stroke-width="2"><circle cx="22" cy="22" r="1"><animate attributeName="r" begin="0s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"/><animate attributeName="stroke-opacity" begin="0s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"/></circle><circle cx="22" cy="22" r="1"><animate attributeName="r" begin="-0.9s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite"/><animate attributeName="stroke-opacity" begin="-0.9s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"/></circle></g></svg>'
}

function notiflixLoadingSvgNotiflix(a, b, c) {
	return a || (a = "60px"), b || (b = "#f8f8f8"), c || (c = "#00b462"), '<svg id="NXLoadingNotiflixLib" xmlns="http://www.w3.org/2000/svg" xml:space="preserve" width="' + a + '" height="' + a + '" version="1.1" style="shape-rendering:geometricPrecision; text-rendering:geometricPrecision; image-rendering:optimizeQuality; fill-rule:evenodd; clip-rule:evenodd" viewBox="0 0 200 200" xmlns:xlink="http://www.w3.org/1999/xlink"><defs><style type="text/css">.line{stroke:' + b + ";stroke-width:12;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:22;}.line{fill:none;}.dot{fill:" + c + ";stroke:" + c + ';stroke-width:12;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:22;}.n{stroke-dasharray: 500;stroke-dashoffset: 0;animation-name: notiflix-n;animation-timing-function: linear;animation-duration: 2.5s;animation-delay:0s;animation-iteration-count: infinite;animation-direction: normal;}@keyframes notiflix-n{0%{stroke-dashoffset: 1000;}100%{stroke-dashoffset: 0;}}.x2,.x1{stroke-dasharray: 500;stroke-dashoffset: 0;animation-name: notiflix-x;animation-timing-function: linear;animation-duration: 2.5s;animation-delay:.2s;animation-iteration-count: infinite;animation-direction: normal;}@keyframes notiflix-x{0%{stroke-dashoffset: 1000;}100%{stroke-dashoffset: 0;}}.dot{animation-name: notiflix-dot;animation-timing-function: ease-in-out;animation-duration: 1.25s;animation-iteration-count: infinite;animation-direction: normal;}@keyframes notiflix-dot{0%{stroke-width: 0;}50%{stroke-width: 12;}100%{stroke-width: 0;}}</style></defs><g><path class="dot" d="M47.97 135.05c3.59,0 6.5,2.91 6.5,6.5 0,3.59 -2.91,6.5 -6.5,6.5 -3.59,0 -6.5,-2.91 -6.5,-6.5 0,-3.59 2.91,-6.5 6.5,-6.5z"/><path class="line n" d="M10.14 144.76l0 -0.22 0 -0.96 0 -56.03c0,-5.68 -4.54,-41.36 37.83,-41.36 42.36,0 37.82,35.68 37.82,41.36l0 57.21"/><path class="line x1" d="M115.06 144.49c24.98,-32.68 49.96,-65.35 74.94,-98.03"/><path class="line x2" d="M114.89 46.6c25.09,32.58 50.19,65.17 75.29,97.75"/></g></svg>'
}

function NotiflixLoadingChange(a) {
	if (document.getElementById(loadingSettings.ID)) if (0 < (a = a.toString().length > newLoadingSettings.messageMaxLength ? notiflixPlaintext(a).toString().substring(0, newLoadingSettings.messageMaxLength) + "..." : notiflixPlaintext(a).toString()).length) {
		var b = document.getElementById(loadingSettings.ID).getElementsByTagName("p")[0];
		if (void 0 !== b) b.innerHTML = a;
		else {
			b = document.createElement("p");
			b.id = newLoadingSettings.messageID;
			b.className = "loading-message new";
			b.style.color = newLoadingSettings.messageColor;
			b.style.fontSize = newLoadingSettings.messageFontSize;
			var c = parseInt(newLoadingSettings.svgSize.slice(0, -2));
			b.style.top = Math.round(c - c / 3).toString() + "px";
			var f = (1.2 * parseInt(newLoadingSettings.messageFontSize.slice(0, 2))).toString() + "px";
			b.style.height = f;
			b.innerHTML = a;
			document.getElementById(loadingSettings.ID).appendChild(b);
			document.getElementById(loadingSettings.ID).getElementsByTagName("div")[0].style.top = "-" + Math.round(c - c / 3).toString() + "px"
		}
	} else console.error("Notiflix Error: Where is the new message?")
};